%define major 0
%define libname %mklibname cacard %major
%define develname %mklibname cacard -d

Name: libcacard
Version: 2.7.0
Release: %mkrel 2
Summary: Common Access Card (CAC) Emulation
Group: System/Libraries
License: LGPLv2+
URL: http://www.spice-space.org/download
Source0: http://www.spice-space.org/download/libcacard/libcacard-%{version}.tar.xz
BuildRequires: pkgconfig(glib-2.0) >= 2.22
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(nss) >= 3.12.8
BuildRequires: pkgconfig(libpcsclite)

%description
Common Access Card (CAC) emulation library.

%package -n %libname
Summary: Common Access Card (CAC) Emulation
Group: System/Libraries
Obsoletes: libcacard-tools < 2.6.1

%description -n %libname
Common Access Card (CAC) emulation library.

%package -n %develname
Summary: CAC Emulation devel
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
CAC emulation development files.

%prep
%setup -q

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %libname
%doc COPYING README.md
%{_libdir}/libcacard.so.%{major}{,.*}

%files -n %develname
%{_includedir}/cacard
%{_libdir}/pkgconfig/libcacard.pc
%{_libdir}/libcacard.so


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 2.7.0-2.mga8
+ Revision: 1527847
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jul 26 2019 daviddavid <daviddavid> 2.7.0-1.mga8
+ Revision: 1424199
- new version: 2.7.0

* Sat Oct 06 2018 pterjan <pterjan> 2.6.1-2.mga7
+ Revision: 1318251
- Do not recommend dropped subpackage, obsolete it instead

* Fri Aug 31 2018 daviddavid <daviddavid> 2.6.1-1.mga7
+ Revision: 1255921
- new version: 2.6.1

* Sun Aug 26 2018 daviddavid <daviddavid> 2.6.0-1.mga7
+ Revision: 1254703
- new version: 2.6.0
+ kekepower <kekepower>
- Use new make macros

* Sat Mar 04 2017 luigiwalser <luigiwalser> 2.5.3-1.mga6
+ Revision: 1088713
- 2.5.3 (fixes CVE-2017-6414)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 fwang <fwang> 2.5.1-2.mga6
+ Revision: 905897
- br libpcsclite

* Wed Nov 25 2015 fwang <fwang> 2.5.1-1.mga6
+ Revision: 905891
- update file list
- 2.5.1

* Wed Oct 15 2014 umeabot <umeabot> 0.1.2-5.mga5
+ Revision: 740053
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.2-4.mga5
+ Revision: 681359
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.1.2-3.mga4
+ Revision: 506885
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.1.2-2.mga3
+ Revision: 356894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 fwang <fwang> 0.1.2-1.mga2
+ Revision: 126920
- imported package libcacard

